Subject: Re: bug#18237: Small fix for MSDOS

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Aug 2014 21:26:47 +0300

> Date: Sun, 10 Aug 2014 19:19:24 +0100
> From: Reuben Thomas <[email-masked]>
> Cc: [email-masked]
> 
> When it is installed, configure correctly detects that select is available,
> and sets HAVE_SELECT. However, libsocket has no sys/select.h, nor does it
> implement sys_select.
> 
> Hence, at present, when I build using ./configure && make for DOS with
> libsocket installed, HAVE_SELECT is defined to 1, so the MS-DOS
> implementation of sys_select in msdos.c is not compiled. Later, the linker
> is unable to find sys_select, and the build fails.

So it's a consequence of trying to configure using the Posix configure
script.

I'd prefer that all the changes for such a build be committed at once
together, not bit by bit, and only if you eventually succeed to
produce a working binary using this method.

> I think you're also saying that I should test both HAVE_SELECT &&
> HAVE_SYS_SELECT_H therefore?

Yes, at the very least.  But let's delay this until you have gone all
the way to building Emacs using this method.  We won't know all of the
implications until you do.